Dist::Zilla::Role::FileInjector(3)

NAME
Dist::Zilla::Role::FileInjector - something that can add files to the distribution

VERSION
version 4.300016

DESCRIPTION
This role should be implemented by any plugin that plans to add files into the distribution. It provides one method ("add_file", documented below), which adds a file to the distribution, noting the place of addition.

METHODS

  add_file
  $plugin->add_file($dzil_file);

This adds a file to the distribution, setting the file's "added_by" attribute as it does so.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.